# Alignment Plots

Functions to generate Alignment plots with annotated consensus structure.

  Functions

  int vrna_file_PS_aln(const char *filename, const char **seqs, const char **names, const char *structure, unsigned int columns)
    #include <ViennaRNA/plotting/alignments.h>

    Create an annotated PostScript alignment plot.

    SWIG Wrapper Notes:

      This function is available as overloaded function `file_PS_aln()` with three additional parameters `start`, `end`, and `offset` before the `columns` argument. Thus, it resembles the `vrna_file_PS_aln_slice()` function. The last four arguments may be omitted, indicating the default of `start` = 0, `end` = 0, `offset` = 0, and `columns` = 60. See, e.g. `RNA.file_PS_aln()` in the Python API.

    See also

    vrna_file_PS_aln_slice()

    Parameters:

      - filename – The output file name

      - seqs – The aligned sequences

      - names – The names of the sequences

      - structure – The consensus structure in dot-bracket notation

      - columns – The number of columns before the alignment is wrapped as a new block (a value of 0 indicates no wrapping)

  int vrna_file_PS_aln_slice(const char *filename, const char **seqs, const char **names, const char *structure, unsigned int start, unsigned int end, int offset, unsigned int columns)
    #include <ViennaRNA/plotting/alignments.h>

    Create an annotated PostScript alignment plot.

    Similar to vrna_file_PS_aln() but allows the user to print a particular slice of the alignment by specifying a `start` and `end` position. The additional `offset` parameter allows for adjusting the alignment position ruler value.

    SWIG Wrapper Notes:

      This function is available as overloaded function `file_PS_aln()` where the last four parameter may be omitted, indicating `start` = 0, `end` = 0, `offset` = 0, and `columns` = 60. See, e.g. `RNA.file_PS_aln()` in the Python API.

    See also

    vrna_file_PS_aln_slice()

    Parameters:

      - filename – The output file name

      - seqs – The aligned sequences

      - names – The names of the sequences

      - structure – The consensus structure in dot-bracket notation

      - start – The start of the alignment slice (a value of 0 indicates the first position of the alignment, i.e. no slicing at 5’ side)

      - end – The end of the alignment slice (a value of 0 indicates the last position of the alignment, i.e. no slicing at 3’ side)

      - offset – The alignment coordinate offset for the position ruler.

      - columns – The number of columns before the alignment is wrapped as a new block (a value of 0 indicates no wrapping)